## reecriture en POO
## P. Cubaud <cubaud@cnam.fr>

N=10

class Truc():
  def __init__(self,i,j):
    self.x=30+width*i/N
    self.y=30+height*j/N
    if random(0,1)<0.4:
        self.alarm = True
    else:
        self.alarm = False
  def draw(self):
    noStroke()
    if self.alarm:
        fill(200,50,10)
    else:
        fill(50,200,10)
    ellipse(self.x,self.y,53,53)
  def refresh(self):
    if random(0,1)<0.4:
        self.alarm = True
    else:
        self.alarm = False


def setup():
    global lestrucs
    size(600,600) 
    lestrucs = []
    for i in range(N):
        for j in range(N):
            lestrucs.append(Truc(i,j))

def draw():
    ## dessin du pavage
    background(250)
    for k in range(N*N):
        lestrucs[k].draw()

def keyPressed():
    if key == 's':
        saveFrame("exo2####.png")
    if key == ' ':
        for k in range(N*N):
            lestrucs[k].refresh()
        
